Get a conversation
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": 67890,
"created": 1625097600,
"sId": "3d8f6a2c1b",
"owner": {
"regionalModelsOnly": false,
"id": 67890,
"sId": "dQFf9l5FQY",
"name": "My Awesome Workspace",
"role": "admin",
"segmentation": "enterprise",
"flags": [
"advanced_analytics",
"beta_features"
],
"ssoEnforced": true,
"whiteListedProviders": [
"google",
"github"
],
"defaultEmbeddingProvider": "openai"
},
"title": "Customer Inquiry #1234",
"visibility": "private",
"content": [
[
{
"id": 1,
"sId": "9e7d5c3a1f",
"type": "human",
"visibility": "visible",
"version": 1,
"created": 1625097700,
"user": {
"sId": "0ec9852c2f",
"id": 12345,
"createdAt": 1625097600,
"username": "johndoe",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"provider": "google",
"image": "https://example.com/profile/johndoe.jpg"
},
"mentions": [
{
"configurationId": "7f3a9c2b1e"
}
],
"content": "Hello, I need help with my order.",
"context": {
"username": "johndoe123",
"timezone": "America/New_York",
"fullName": "John Doe",
"email": "john.doe@example.com",
"profilePictureUrl": "https://example.com/profiles/johndoe123.jpg",
"agenticMessageData": {
"originMessageId": "2b8e4f6a0c"
}
},
"agentMessageId": 1,
"parentMessageId": "2b8e4f6a0c",
"status": "completed",
"actions": [
{
"generatedFiles": [
{
"fileId": "<string>",
"filePath": "<string>",
"title": "<string>",
"contentType": "<string>",
"snippet": "<string>",
"hidden": true,
"isInProjectContext": true
}
]
}
],
"chainOfThought": "The user is asking about their order. I should first greet them and then ask for their order number.",
"rawContents": [
{
"step": 1,
"content": "Hello! I'd be happy to help you with your order. Could you please provide your order number?"
}
],
"error": null,
"configuration": {
"id": 12345,
"sId": "7f3a9c2b1e",
"version": 2,
"versionCreatedAt": "2023-06-15T14:30:00Z",
"versionAuthorId": "0ec9852c2f",
"name": "Customer Support Agent",
"description": "An AI agent designed to handle customer support inquiries",
"instructions": "Always greet the customer politely and try to resolve their issue efficiently.",
"pictureUrl": "https://example.com/agent-images/support-agent.png",
"status": "active",
"scope": "workspace",
"userFavorite": true,
"model": {
"providerId": "openai",
"modelId": "gpt-4",
"temperature": 0.7
},
"actions": [],
"maxStepsPerRun": 10,
"templateId": "b4e2f1a9c7"
}
}
]
]
}
}Conversations
Get a conversation
Get a conversation in the workspace identified by . Supports optional pagination of message content via limit and lastValue query parameters.
GET
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
Get a conversation
Authorizations
Your DUST API key is a Bearer token.
Query Parameters
Maximum number of messages to return. When omitted, all messages are returned.
Cursor value (message rank) from a previous response to fetch the next page of messages.
Response
Conversation retrieved successfully.
Show child attributes
Show child attributes
⌘I